# PAYONE FinanceGate
![license LGPL](https://img.shields.io/badge/license-LGPL-blue.svg)
[![GitHub issues](https://img.shields.io/github/issues/PAYONE-GmbH/oxid-6.svg)](https://github.com/PAYONE-GmbH/oxid-6/issues)

:warning: Please note, that this extension is not yet released in production.

# PAYMENT FOR YOUR OXID-SHOP 
The Payone-FinanceGate-Module is already certified by OXID to guarantee faultless code quality and correct operation, but we are willing to do an even better job. The community here on Github is a great help for that and we are happy about your participation. Take a look at our released version and send us commits or other feedback to take care for the best possible solution.

## Important functions for OXID
*	Seamless integration in the checkout processes
*	Centralised administration within Oxid
*	The offered portfolio of payment options can be controlled depending on the consumer's credit rating
*	The payment extension is compatible with all OXID eShop editions of version 6: Community, Professional and Enterprise edition
*	Supports simplified PCI DSS conformity in accordance with SAQ A
*	Find all currently supported payment methods on www.payone.com/oxid

## More information
More information about OXID on https://www.payone.com/oxid or https://shop.fatchip.de/OXID-PAYONE-FinanceGate-Connector.html 

## Requirements
Installed OXID eShop >= v6.0.0

## Installation
Just go to the directory of your Oxid `composer.json` file and perform the following command:
```
composer require payone-gmbh/oxid-6
```

After that, just activate the module in the Oxid backend.

## About PAYONE
PAYONE provides business solutions for comprehensive automated processing of all payments in e-commerce. The payment service provider is part of the Sparkassen-Finanzgruppe and authorised as a credit institution by the German Federal Financial Supervisory Authority. PAYONE's service portfolio includes acceptance and processing for national and international payment methods, plus all payment services. Standardised interfaces and extensions allow simple integration into existing e-commerce and IT-systems whilst maintaining strict security standards.

PAYONE ranks amongst the 50 fastest-growing technology companies in Germany and serves over 4.00 e-commerce clients from a variety of sectors and countries, including well-known companies such as Immonet, Globetrotter Ausrüstung, HD PLUS, Fujitsu, Zalando, Hawesko, Sony Music and Hallhuber. PAYONE employs a workforce of over 150.